Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.0.6
Release: 2mdk
Copyright: GPL
Group: Text tools
Source0: ftp://prep.ai.mit.edu/pub/gnu/%{name}-%{version}.tar.bz2
Source1: ftp://prep.ai.mit.edu/pub/gnu/%{name}-%{version}-ps.tar.bz2
Patch: gawk-3.0-unaligned.patch.bz2
Provides: awk
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/install-info
Prefix: %{_prefix}

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package doc
Summary: Documentation about the GNU version of the awk text processing utility
Group: Text tools

%description doc
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

%prep
%setup -q -b 1
%patch -p1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall  bindir=$RPM_BUILD_ROOT/bin

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_datadir}
mkdir awk && 
for  i in *.awk;do
mv -f $i awk
done
cd $RPM_BUILD_ROOT%{_mandir}
mkdir -p man1
for i in *;do
   mv -f $i man1 || true
done
cd man1
ln -sf gawk.1.bz2 awk.1.bz2
cd $RPM_BUILD_ROOT%{_bindir}
ln -sf ../../bin/awk $RPM_BUILD_ROOT%{_bindir}/awk 
ln -sf ../../bin/gawk $RPM_BUILD_ROOT%{_bindir}/gawk 

%post
%_install_info gawk.info

%preun
%_remove_install_info gawk.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/*
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%{_libdir}/*
%{_datadir}/awk

%files doc
%defattr(-,root,root)
%doc README COPYING ACKNOWLEDGMENT FUTURES INSTALL LIMITATIONS NEWS PORTS 
%doc README_d POSIX.STD doc/gawk.ps doc/awkcard.ps

%changelog
* Sat Jan 20 2001 Etienne Faure  <etienne@mandrakesoft.com> 3.0.6-2mdk
- fixed small things to make rpmlint happy

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.0.6-1mdk
- s|3.0.5|3.0.6|.

* Sun Aug 06 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.0.5-2mdk
- some more macroszifications
- BM 

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 3.0.5-1mdk
- new version
- macros
- provides: awk

* Fri Jun 09 2000 Etienne Faure <etienne@mandrakesoft.com> 3.0.4-3mdk
-rebuild on kenobi

* Sat Apr 08 2000 John Buswell <johnb@mandrakesoft.com> 3.0.4-2mdk
- fixed distribution tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4 
- fixed groups
- spec helper

* Mon Nov 22 1999 Pixel <pixel@linux-mandrake.com>
- moved the doc to gawk-doc

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add defattr.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

